Get a template's fields
curl --request GET \
--url https://deployed.workauthor.com/api/v1/documents/templates/{Id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://deployed.workauthor.com/api/v1/documents/templates/{Id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://deployed.workauthor.com/api/v1/documents/templates/{Id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"lastUpdated": "2023-11-07T05:31:56Z",
"businessOwner": "<string>",
"templateFields": [
{
"identifier": "<string>",
"type": "TextShort",
"customLookup": {
"name": "<string>",
"description": "<string>"
}
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}Get a template's fields
A template’s fields and their types: what a create call must supply.
GET
/
api
/
v1
/
documents
/
templates
/
{Id}
Get a template's fields
curl --request GET \
--url https://deployed.workauthor.com/api/v1/documents/templates/{Id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://deployed.workauthor.com/api/v1/documents/templates/{Id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://deployed.workauthor.com/api/v1/documents/templates/{Id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"lastUpdated": "2023-11-07T05:31:56Z",
"businessOwner": "<string>",
"templateFields": [
{
"identifier": "<string>",
"type": "TextShort",
"customLookup": {
"name": "<string>",
"description": "<string>"
}
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I